Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040481
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-03-28 17:092019-04-11 13:02
ReportermalsasuaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR19Q3
StatusclosedFix in branchFixed in SCM revisionccc08a85c0a9
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression levelProduction - Confirmed Stable
Regression date2017-07-04
Regression introduced in releaseRR17Q4
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/6d54913295de7796873f64210acc4f86adf27c23 [^]
Triggers an Emergency PackNo
Summary

0040481: Cash Management transactions are not included in CashUp report

DescriptionIn the cashup report printed, the cash management transactions are not displayed, but they are included in the cashup report displayed before to print,
Steps To Reproduce[POS]
. add two cash managements:
 . Deposit: Cash - Backoffice transfer to VBS - 1500
 . Withdrawal: Cash - Cashier shift (transfer to VBS backoffice) - 200
 . click in Done button
. complete cashup
 - in step 4 of 4 : post, print & close, the cash management transactions are displayed in Withdrawals and Deposit section (see screenshot1 attached)
 - in cashup report printed, it is not displayed (see screenshot2 attached)
TagsNo tags attached.
Attached Filespng file icon cashupPrinted.png [^] (91,641 bytes) 2019-03-28 17:09


png file icon cashupScreen.png [^] (161,991 bytes) 2019-03-28 17:10


patch file icon issue 40481 source posterminal v1.patch [^] (2,664 bytes) 2019-03-29 12:18 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0040491RR19Q1.1 closedranjith_qualiantech_com Cash Management transactions are not included in CashUp report 
depends on backport 0040492RR18Q4.3 closedranjith_qualiantech_com Cash Management transactions are not included in CashUp report 
depends on backport 0040594RR19Q2 closedranjith_qualiantech_com Cash Management transactions are not included in CashUp report 

-  Notes
(0111013)
hgbot (developer)
2019-04-08 11:38

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: ccc08a85c0a90e9c79af4fb8926ddd7a605d918c
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon Apr 08 15:07:00 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ccc08a85c0a90e9c79af4fb8926ddd7a605d918c [^]

Fixed issue 40481 : Updated deposit and withdrawal model for count payment in cashup while completing cashup

* When closing cashup, in printcashup template, only models with countInCashup will be printed
  So countInCashup is updated for cashmanagement deposit and drop models

---
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js
---

- Issue History
Date Modified Username Field Change
2019-03-28 17:09 malsasua New Issue
2019-03-28 17:09 malsasua Assigned To => Retail
2019-03-28 17:09 malsasua Triggers an Emergency Pack => No
2019-03-28 17:10 malsasua File Added: cashupPrinted.png
2019-03-28 17:10 malsasua File Added: cashupScreen.png
2019-03-28 17:50 malsasua Regression level => Production - Confirmed Stable
2019-03-28 17:50 malsasua Reproducibility have not tried => always
2019-03-29 09:54 marvintm Status new => scheduled
2019-03-29 09:54 marvintm Assigned To Retail => ranjith_qualiantech_com
2019-03-29 10:48 ranjith_qualiantech_com Regression date => 2017-07-04
2019-03-29 10:48 ranjith_qualiantech_com Regression introduced in release => RR17Q4
2019-03-29 10:48 ranjith_qualiantech_com Regression introduced by commit => https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/6d54913295de7796873f64210acc4f86adf27c23 [^]
2019-03-29 10:55 ranjith_qualiantech_com File Added: issue 40481 source posterminal v1.patch
2019-03-29 12:16 ranjith_qualiantech_com File Deleted: issue 40481 source posterminal v1.patch
2019-03-29 12:18 ranjith_qualiantech_com File Added: issue 40481 source posterminal v1.patch
2019-04-08 11:38 hgbot Checkin
2019-04-08 11:38 hgbot Note Added: 0111013
2019-04-08 11:38 hgbot Status scheduled => resolved
2019-04-08 11:38 hgbot Resolution open => fixed
2019-04-08 11:38 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ccc08a85c0a90e9c79af4fb8926ddd7a605d918c [^]
2019-04-11 13:01 marvintm Status resolved => new
2019-04-11 13:01 marvintm Resolution fixed => open
2019-04-11 13:01 marvintm Status new => scheduled
2019-04-11 13:02 marvintm Status scheduled => resolved
2019-04-11 13:02 marvintm Fixed in Version => RR19Q3
2019-04-11 13:02 marvintm Resolution open => fixed
2019-04-11 13:02 marvintm Review Assigned To => marvintm
2019-04-11 13:02 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker